"""Defines the nests used by ``nested_logit``.
"""

import numpy as np

nests_for_each_x = [[0], [1, 3, 5], [2, 4, 6]]  # each x has the same nests over 0, 1, ..., Y
nests_for_each_y = [[0], [1, 5], [2, 3, 4]]  # each y has the same nests over 0, 1, ..., X

# alternative definitions of X and Y
n_Y = max([max(n) for n in nests_for_each_x])
n_X = max([max(n) for n in nests_for_each_y])

n_X_nests = len(nests_for_each_x)
n_Y_nests = len(nests_for_each_y)
n_alpha = n_X_nests + n_Y_nests - 2  # we normalize the nest parameter for 0 at 1 on each side

# discard the singlehood option and make numpy arrays
nests_x_over_y = [(np.array(n, int) - 1) for n in nests_for_each_x[1:]]
nests_y_over_x = [(np.array(n, int) - 1) for n in nests_for_each_y[1:]]
